Bug 377351 - kernel dm: bd_mount_sem counter corruption
kernel dm: bd_mount_sem counter corruption
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
All Linux
low Severity low
: ---
: ---
Assigned To: Milan Broz
Martin Jenner
:
Depends On:
Blocks: 430698
  Show dependency treegraph
 
Reported: 2007-11-12 04:48 EST by Milan Broz
Modified: 2013-02-28 23:05 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:19:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2007-11-12 04:48:32 EST
+++ This bug was initially created as a clone of Bug #360571 +++
RHEL4 clone

There is bd_mount_sem counter corruption bug in device-mapper,
thaw_bdev() should be called only when freeze_bdev() was called for the
device.

Otherwise, thaw_bdev() will up bd_mount_sem and corrupt the semaphore counter.

see upstream commit of fix:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=ae9da83f6d800fe1f3b23bfbc8f7222ad1c5bb74
Comment 1 RHEL Product and Program Management 2007-11-12 04:55:11 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Jason Baron 2007-12-07 16:55:09 EST
committed in stream U7 build 68.3. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 7 errata-xmlrpc 2008-07-24 15:19:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html

Note You need to log in before you can comment on or make changes to this bug.